curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe%40example.com&user_list_id=49909&name=Jane-A-Doe' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
[
{
"names": [
{
"id": 249271,
"name": "Benjamin",
"name_phonetic": "ben-juh-min",
"gender": "male",
"language_id": 18,
"path_directory": "benjamin_en",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 249271
}
},
{
"id": 266971,
"name": "Garder",
"name_phonetic": "gar-der",
"gender": "male",
"language_id": 18,
"path_directory": "garder_en",
"public": 0,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 266971
}
}
],
"user_email": null,
"verified_name_id": 28627,
"is_custom": 0,
"is_verified": 0
}
]
{
"name_group_id": 58,
"names": [
{
"name": "Naureenr Anwar",
"phonetic": null,
"path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
"language_of_origin": null,
"created_at": "2023-08-27T04:10:09.000000Z",
"updated_at": "2023-08-27T04:10:09.000000Z"
}
],
"user_email": "test2@test.com",
"verified_name_id": 49,
"is_custom": 1,
"is_verified": 1
}
Lists
Get Name information from List.
GET
/
user
/
user-list
/
get-name-group-from-user-list
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe%40example.com&user_list_id=49909&name=Jane-A-Doe' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
[
{
"names": [
{
"id": 249271,
"name": "Benjamin",
"name_phonetic": "ben-juh-min",
"gender": "male",
"language_id": 18,
"path_directory": "benjamin_en",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 249271
}
},
{
"id": 266971,
"name": "Garder",
"name_phonetic": "gar-der",
"gender": "male",
"language_id": 18,
"path_directory": "garder_en",
"public": 0,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 266971
}
}
],
"user_email": null,
"verified_name_id": 28627,
"is_custom": 0,
"is_verified": 0
}
]
{
"name_group_id": 58,
"names": [
{
"name": "Naureenr Anwar",
"phonetic": null,
"path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
"language_of_origin": null,
"created_at": "2023-08-27T04:10:09.000000Z",
"updated_at": "2023-08-27T04:10:09.000000Z"
}
],
"user_email": "test2@test.com",
"verified_name_id": 49,
"is_custom": 1,
"is_verified": 1
}
GET
GET https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe@example.com&user_list_id=49909&name=Jane-A-Doe
| Attributes | Description |
|---|---|
| names | The “names” array contains all the relevant name information split into individual components. The three relevant fields here are: name_phonetic: phonetic Version of the Name. language_id: The id of the language for the audio. To get the language name, see the language section above. path_directory: Audio Path will give you the link to our audio file on the server. Please note that all our audio files are in .mp3 format. The path for the audio will be: https://nslibrary01.blob.core.windows.net/ns-audio/{path value}.mp3 Note that the file type (.mp3) needs to be concatenated with our path value. Within the pivot object, there is also the user_list_name_group_id. This is a unique identifier for the name within the list. We need this value to remove the name. |
| user_email | This is the email of the person who has either verified or added their own name. |
| is_custom | This is a boolean flag. If this is true that means this name has been recorded by a user and is not available on the NameShouts database. |
| verified_name_id | This is a unique identifier that is used to generate the verification link along with the list_id. |
| is_verified | This is a boolean again and this means that the user has verified the name pronunciation here. |
| Attributes | Description |
|---|---|
| name_group_id | This is a unique identifier that is used to identify the name within the list. |
| names | The names array contains the following information: name: The full name of the user. name_phonetic: The full phonetic of the name as entered by the user. Note this is optional and may be null. language_of_origin: The language of origin for the name. Again this is optional and can be blank. path_directory: Audio Path will give you the link to our audio file on the server. NOTE: The path for the audio for recorded name will be different from our default names: https://nslibrary01.blob.core.windows.net/user-uploads/{path_directory} |
How to get the verification link for a name on the list?
To get the verification name for a particular user, you would need the list_id and the verification_id from the response object. Once the user is logged into to NameShouts, if they click on the following link, they will be able to access the verification screen on the application. https://app2.nameshouts.com/verify-list-name?id={verified_name_id}&list_id={user_list_id}Authorization
| Bearer Token | |
|---|---|
| Token | <token> |
Params
string
An optional parameter to narrow down the search by providing the email of the user associated with the name. Using this parameter can provide more accurate results.Example:
jane.doe@example.comstring
Example:
49909string
Example:
Jane-A-DoeExamples
Get Name information from List - Default
Example Requestcurl
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?user_list_id=16694&name=benjamin-garder'
200 OK
Body
[
{
"names": [
{
"id": 249271,
"name": "Benjamin",
"name_phonetic": "ben-juh-min",
"gender": "male",
"language_id": 18,
"path_directory": "benjamin_en",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 249271
}
},
{
"id": 266971,
"name": "Garder",
"name_phonetic": "gar-der",
"gender": "male",
"language_id": 18,
"path_directory": "garder_en",
"public": 0,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 266971
}
}
],
"user_email": null,
"verified_name_id": 28627,
"is_custom": 0,
"is_verified": 0
}
]
| Key | Value |
|---|---|
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Thu, 14 Sep 2023 04:20:12 GMT |
Get Name from a User List-Custom Name
Example Requestcurl
curl --location -g '{{base_url}}/api/v2.0/user/user-list/get-name-group-from-user-list?user_list_id=12&name=naureenr-anwar'
200 OK
Body
{
"name_group_id": 58,
"names": [
{
"name": "Naureenr Anwar",
"phonetic": null,
"path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
"language_of_origin": null,
"created_at": "2023-08-27T04:10:09.000000Z",
"updated_at": "2023-08-27T04:10:09.000000Z"
}
],
"user_email": "test2@test.com",
"verified_name_id": 49,
"is_custom": 1,
"is_verified": 1
}
| Key | Value |
|---|---|
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Thu, 14 Sep 2023 04:30:16 GMT |
| Content-Encoding | gzip |
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe%40example.com&user_list_id=49909&name=Jane-A-Doe' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
[
{
"names": [
{
"id": 249271,
"name": "Benjamin",
"name_phonetic": "ben-juh-min",
"gender": "male",
"language_id": 18,
"path_directory": "benjamin_en",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 249271
}
},
{
"id": 266971,
"name": "Garder",
"name_phonetic": "gar-der",
"gender": "male",
"language_id": 18,
"path_directory": "garder_en",
"public": 0,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00",
"pivot": {
"user_list_name_group_id": 55399,
"name_id": 266971
}
}
],
"user_email": null,
"verified_name_id": 28627,
"is_custom": 0,
"is_verified": 0
}
]
{
"name_group_id": 58,
"names": [
{
"name": "Naureenr Anwar",
"phonetic": null,
"path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
"language_of_origin": null,
"created_at": "2023-08-27T04:10:09.000000Z",
"updated_at": "2023-08-27T04:10:09.000000Z"
}
],
"user_email": "test2@test.com",
"verified_name_id": 49,
"is_custom": 1,
"is_verified": 1
}
